Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
ezfilemanager/user/folderedit.php File Reference

Go to the source code of this file.

## Functions
| changePermissions ( $objectID, $groups, $permission)
| getFilesAndFolders (&$folderArray, &$fileArray, $fromFolder)

## Variables
| $user =& eZUser::currentUser()
if(isset( $NewFolder)) if(isset( $FolderID) && $FolderID !=0 &&!eZObjectPermission::hasPermission( $FolderID, "filemanager_folder", 'w') &&!eZVirtualFolder::isOwner( $user, $FolderID)) if(isset( $Cancel)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZFileManagerMain", "Language" )
| $t
| $error = false
| $permissionCheck = true
| $nameCheck = true
| $descriptionCheck = false
if( $Action=="New"|| $error) if( $Action=="Edit") | $folder = new eZVirtualFolder()
| $folderList = $folder->getTree( )
if(count( $folderList)==0) | $group = new eZUserGroup()
| $groups = $group->getAll()
foreach( $groups as $group) | $sectionList =& eZSection::getAll()

## Function Documentation

## ◆ changePermissions()

changePermissions | ( |  | $objectID,
|  |  | $groups,
|  |  | $permission
| ) |  |

Definition at line 453 of file ezfilemanager/user/folderedit.php.

References $group, $groups, $permission, eZObjectPermission\removePermissions(), and eZObjectPermission\setPermission().

## ◆ getFilesAndFolders()

getFilesAndFolders | ( | & | $folderArray,
|  | & | $fileArray,
|  |  | $fromFolder
| ) |  |

Definition at line 473 of file ezfilemanager/user/folderedit.php.

References $files, $result, and eZVirtualFolder\getByParent().

## Variable Documentation

## ◆ $descriptionCheck

$descriptionCheck = false

Definition at line 103 of file ezfilemanager/user/folderedit.php.

## ◆ $error

$error = false

Definition at line 100 of file ezfilemanager/user/folderedit.php.

## ◆ $folder

if ($Action=="New"||$error) if ($Action=="Edit") $folder = new eZVirtualFolder()

Definition at line 328 of file ezfilemanager/user/folderedit.php.

## ◆ $folderList

$folderList = $folder->getTree( )

Definition at line 330 of file ezfilemanager/user/folderedit.php.

## ◆ $group

if (count($folderList)==0) $group = new eZUserGroup()

Definition at line 340 of file ezfilemanager/user/folderedit.php.

Referenced by changePermissions().

## ◆ $groups

$groups = $group->getAll()

Definition at line 341 of file ezfilemanager/user/folderedit.php.

Referenced by changePermissions().

## ◆ $ini

if (isset($NewFolder)) if (isset($FolderID) &&$FolderID !=0 &&!eZObjectPermission::hasPermission($FolderID, "filemanager_folder", 'w') &&!eZVirtualFolder::isOwner($user, $FolderID)) if (isset($Cancel)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 77 of file ezfilemanager/user/folderedit.php.

## ◆ $Language

$Language = $ini->variable( "eZFileManagerMain", "Language" )

Definition at line 79 of file ezfilemanager/user/folderedit.php.

## ◆ $nameCheck

$nameCheck = true

Definition at line 102 of file ezfilemanager/user/folderedit.php.

## ◆ $permissionCheck

$permissionCheck = true

Definition at line 101 of file ezfilemanager/user/folderedit.php.

## ◆ $sectionList

foreach ($groups as $group) $sectionList =& eZSection::getAll()

Definition at line 389 of file ezfilemanager/user/folderedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezfilemanager/user/" . $ini->variable( "eZFileManagerMain", "TemplateDir" ),
"kernel/ezfilemanager/user/intl/", $Language, "folderedit.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(isset( $NewFolder)) if(isset( $FolderID) && $FolderID !=0 &&!eZObjectPermission::hasPermission( $FolderID, "filemanager_folder", 'w') &&!eZVirtualFolder::isOwner( $user, $FolderID)) if(isset( $Cancel)) $ini
Definition: ezfilemanager/user/folderedit.php:77
$Language
$Language
Definition: ezfilemanager/user/folderedit.php:79

Definition at line 82 of file ezfilemanager/user/folderedit.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 41 of file ezfilemanager/user/folderedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.